# Uses of Class
org.apache.sling.starter.access.models.RestrictionItem

Packages that use RestrictionItem
Package
Description
org.apache.sling.starter.access.models

## Uses of RestrictionItem in org.apache.sling.starter.access.models

Methods in org.apache.sling.starter.access.models that return types with arguments of type RestrictionItem
Modifier and Type
Method
Description
`List<RestrictionItem>`
PrivilegeItem.`getAllowRestrictions()`
`List<RestrictionItem>`
PrivilegeItem.`getDenyRestrictions()`
`protected List<RestrictionItem>`
Ace.`jsonToRestrictionItems(Map<String,org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition> srMap, jakarta.json.JsonObject restrictionsObj)`
Method parameters in org.apache.sling.starter.access.models with type arguments of type RestrictionItem
Modifier and Type
Method
Description
`protected void`
Ace.`populateEntriesForMissingMandatoryRestrictions(List<RestrictionItem> list, Set<org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition> supportedRestrictions)`
Populate restriction item entries for any restriction definitions that are mandatory and not already declared.
`protected Map<String,String[]>`
Ace.`populateEntriesFromPreviousFailedPost(Map<String,List<RestrictionItem>> allowMap, Map<String,List<RestrictionItem>> denyMap, Map<String,org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition> srMap)`
Populate the restriction item list from data from a previously failed POST request
`void`
PrivilegeItem.`setAllowRestrictions(List<RestrictionItem> restrictions)`
`void`
PrivilegeItem.`setDenyRestrictions(List<RestrictionItem> restrictions)`
Constructor parameters in org.apache.sling.starter.access.models with type arguments of type RestrictionItem
Modifier
Constructor
Description
``
`PrivilegeItem(String name, boolean granted, boolean denied, String longestPath, List<RestrictionItem> allowRestrictions, List<RestrictionItem> denyRestrictions)`